<?session_start();?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<meta http-equiv="content-type" content="text/html; charset=windows-1251" />
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>сказать в локацию</title>
</head>
<link rel="stylesheet" href="styleN.css" type="text/css" />
<div class='main' style='word-wrap:break-word;'>
<div class="center"><div class='top'>
<b>Сказать в локацию</b>
</div></div>
<div class="line"></div>
<div style="padding:5px">
<b>

<?
$NICK=$_GET['NICK'];
$pass=$_GET['pass'];
$prov=$_GET['prov'];
$b=$_GET['b'];
$cat=$_GET['cat'];
echo "<link href=\"../styleN.css\" type=\"text/css\" rel=\"stylesheet\">";
$text=htmlspecialchars($_POST['text']);
//$pr_T=substr_count($text, ':)');

//if($pr_T>3){
$text=str_replace(":)","",$text);
//}
$text=str_replace("elka","<img src=\"smiles/1.gif\">",$text);
$text=str_replace("dm1","<img src=\"smiles/2.gif\">",$text);
$text=str_replace("olen","<img src=\"smiles/3.gif\">",$text);
$text=str_replace("dm2","<img src=\"smiles/4.gif\">",$text);
$text=str_replace("dm3","<img src=\"smiles/5.gif\">",$text);
$text=str_replace("dm4","<img src=\"smiles/6.gif\">",$text);
$text=str_replace("agree","<img src=\"smiles/7.gif\">",$text);
$text=str_replace("aikido","<img src=\"smiles/8.gif\">",$text);
$text=str_replace("air_kiss","<img src=\"smiles/9.gif\">",$text);
$text=str_replace("alcoholic","<img src=\"smiles/10.gif\">",$text);
$text=str_replace("angel","<img src=\"smiles/11.gif\">",$text);
$text=str_replace("bad","<img src=\"smiles/12.gif\">",$text);
$text=str_replace("banned","<img src=\"smiles/13.gif\">",$text);
$text=str_replace("beach","<img src=\"smiles/14.gif\">",$text);
$text=str_replace("bee","<img src=\"smiles/15.gif\">",$text);
$menu=is_numeric($_GET['menu']);
$time=htmlspecialchars(date("H:i:s"));
$ti=is_numeric(time());
include("../db.php");
$db->openDB();
//блок по IP
@include('../IP_BN/index.php');
$t1=time()+60;
$t2=time()+60*15;
$t3=time()+60*60;
$t4=time()+60*180;
$t5=time()+60*1440;
$t6=time()+60*9876543210;
if($b=='ban'){
if($prov==$_SESSION[s]){echo"[<a href=\"game.php\">в игру</a>][<a href=\"loca.php\">в чат</a>]".'<div class="foot">вы не можете давать бан самому себе!</div>';die;}
if($_SESSION[s]!='asterixos'){echo"<a href=\"loca.php\"><img src=\"../img/al.png\"> назад</a><br/>вам тут нечего делать";die;}
$bb=$_GET['bb'];
if($prov=='asterixos'){echo"[<a href=\"game.php\">в игру</a>][<a href=\"loca.php\">в чат</a>]<div class=\"foot\">у вас нету прав чтобы забанить данного игрока</div>";die;}
echo'<font color="orange">&bull; Внимание:бан игрока не складывается</font>';
echo"<br/><a href=\"loca.php?b=ban&prov=$prov&bb=1\">бан 1 минута</a><br/>";
echo"<a href=\"loca.php?b=ban&prov=$prov&bb=15\">бан 15 минут</a><br/>";
echo"<a href=\"loca.php?b=ban&prov=$prov&bb=60\">бан 1 час</a><br/>";
echo"<a href=\"loca.php?b=ban&prov=$prov&bb=180\">бан 3 часа</a><br/>";
echo"<a href=\"loca.php?b=ban&prov=$prov&bb=1440\">бан 24 часа</a><br/>";
echo"<a href=\"loca.php?b=ban&prov=$prov&bb=ip\">бан по IP</a><br/>";
echo"<a href=\"loca.php?b=ban&prov=$prov&bb=9876543210\">бан перманент</a><br/>";
if($bb!=1 AND $bb!=15 AND $bb!=60 AND $bb!=180 AND $bb!=1440 AND $bb!=9876543210 AND $bb!=ip AND isset($bb)){echo'<div class="foot">ошибка раздела!</div>';die;}
if($bb=='1'){echo'<div class="foot">вы забанили игрока '.$prov.' на '.$bb.' мин.</div>';$ban=mysql_query("UPDATE users SET BC_NEEDT=\"$t1\" WHERE NICK=\"$prov\"");}
if($bb=='15'){echo'<div class="foot">вы забанили игрока '.$prov.' на '.$bb.' мин.</div>';$ban=mysql_query("UPDATE users SET BC_NEEDT=\"$t2\" WHERE NICK=\"$prov\"");}
if($bb=='60'){echo'<div class="foot">вы забанили игрока '.$prov.' на '.$bb.' мин.</div>';$ban=mysql_query("UPDATE users SET BC_NEEDT=\"$t3\" WHERE NICK=\"$prov\"");}
if($bb=='180'){echo'<div class="foot">вы забанили игрока '.$prov.' на '.$bb.' мин.</div>';$ban=mysql_query("UPDATE users SET BC_NEEDT=\"$t4\" WHERE NICK=\"$prov\"");}
if($bb=='1440'){echo'<div class="foot">вы забанили игрока '.$prov.' на '.$bb.' мин.</div>';$ban=mysql_query("UPDATE users SET BC_NEEDT=\"$t5\" WHERE NICK=\"$prov\"");}
if($bb=='9876543210'){echo'<div class="foot">вы забанили игрока '.$prov.' на '.$bb.' мин.</div>';$ban=mysql_query("UPDATE users SET BC_NEEDT=\"$t6\" WHERE NICK=\"$prov\"");}
if($bb=='ip'){
$PR_BIP=mysql_query("SELECT * FROM users WHERE NICK=\"$prov\"");
$PR_BIP2=mysql_fetch_assoc($PR_BIP);
$PR_BIP3=mysql_query("SELECT * FROM BAN_IP WHERE IP_BAN=\"$PR_BIP2[ip]\"");
if(mysql_num_rows($PR_BIP3)<1){
echo'<div class="foot">вы забанили игрока '.$prov.' по '.$bb.'</div>';
$B_IPS=mysql_query("INSERT INTO BAN_IP (IP_BAN) VALUES('$PR_BIP2[ip]')");
}
}
if(mysql_num_rows($PR_BIP3)>0){echo'<div class="foot">данный игрок уже находится в списке забаненых!</div>';}
die;}
if(strlen($_SESSION[s])==0 OR strlen($_SESSION[p])==0){echo"<div class=\"menu\">логин или пароль пустой!<br/><a href=\"ds.php\">на главную</a></div><div class=\"menu\"></div>";die;}
$PR_NICK = mysql_query("SET NAMES cp1251");
$PR_NICK=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\" AND pass=\"$_SESSION[p]\"");
if(mysql_num_rows($PR_NICK)<1){echo"<div class=\"menu\">пользователя с таким логином или паролем не существует<br/><a href=\"ds.php\">на главную</a></div><div class=\"menu\"></div>";die;}

$vremya=time();
$upTIME=mysql_query("UPDATE users SET gametime=\"$vremya\" WHERE NICK=\"$_SESSION[s]\"");//обновляем время в онлайне
echo"";
$users = mysql_query("SET NAMES cp1251");
$users=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$count=mysql_num_rows($users);
if($count==0){echo"<div align=\"center\"><a href=\"../ds.php\">на главную</a><br/>такой игрок не существует!</div>";die;}
echo"<div class=\"menu\"><form action=\"loca.php?prov=$prov&menu=1\" method=\"POST\">
<a href=\"../game.php\"><img src=\"../img/al.png\"> в игру</a>
<div class='menuList'><li><a href=\"loca.php\"><img src=\"../img/ref.png\" width=\"12\" height=\"12\"> Обновить</a></li></div>
</div></div>
";
if($cat=='sm'){echo"[<img src=\"smiles/yu.gif\">][<img src=\"smiles/yes.gif\">][<img src=\"smiles/yahoo.gif\">][<img src=\"smiles/wizard.gif\">][<img src=\"smiles/wink.gif\">]<br/>
[<img src=\"smiles/warning.gif\">][<img src=\"smiles/wacko.gif\">][<img src=\"smiles/victory.gif\">][<img src=\"smiles/vampire.gif\">][<img src=\"smiles/unsure.gif\">]<br/>
<a href=\"loca.php?cat=sm1\">стр. 2</a>|<a href=\"loca.php?cat=sm2\">стр. 3</a>|стр. 4<br/>";}
if($cat=='sm1'){echo"[<img src=\"smiles/umnik2.gif\">][<img src=\"smiles/umnik.gif\">][<img src=\"smiles/ul.gif\">][<img src=\"smiles/tongue.gif\">][<img src=\"smiles/to_become_senile.gif\">]<br/>
[<img src=\"smiles/this.gif\">][<img src=\"smiles/telephone.gif\">][<img src=\"smiles/superstition.gif\">][<img src=\"smiles/superman.gif\">][<img src=\"smiles/spruce_up.gif\">]<br/>
<a href=\"loca.php?cat=sm\">стр. 1</a>|<a href=\"loca.php?cat=sm2\">стр. 3</a>|стр. 4<br/>";}
if($cat=='sm2'){echo"[<img src=\"smiles/spiteful.gif\">][<img src=\"smiles/umnik.gif\">][<img src=\"smiles/ul.gif\">][<img src=\"smiles/tongue.gif\">][<img src=\"smiles/to_become_senile.gif\">]<br/>
[<img src=\"smiles/this.gif\">][<img src=\"smiles/telephone.gif\">][<img src=\"smiles/superstition.gif\">][<img src=\"smiles/superman.gif\">][<img src=\"smiles/spruce_up.gif\">]<br/>
<a href=\"loca.php?cat=sm\">стр. 1</a>|<a href=\"loca.php?cat=sm2\">стр. 2</a>|стр. 4<br/>";}
echo"
<input name=\"time\" value=\"$time\" type=\"hidden\">
<input name=\"prov\" value=\"$prov\" type=\"hidden\">
<input name=\"text\" maxlength=\"250\" size=\"45\" border=\"1\" class=\"text log\">
<br/>
<input type=\"submit\" value=\"сказать\" class=\"button\">
</form><br/>";
$users = mysql_query("SET NAMES cp1251");
$users=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$t=time();
while($users2=mysql_fetch_assoc($users)){
$tti=$users2[BC_NEEDT]-$t;
if($users2[BC_NEEDT]>=$t){
echo 'вы забанены на:';
if($tti<1){echo 0;$updT=mysql_query("UPDATE users SET BC_NEEDT=\"\" WHERE NICK=\"$_SESSION[s]\"");}
if($tti>0){echo round($tti/60).' мин.';}
die;
}

?>

 

<?

$CHAT_LOC = mysql_query("SET NAMES cp1251");
$per_page=10;
// получаем номер страницы
if (isset($_GET['page'])) $page=($_GET['page']-1); else $page=0;
// вычисляем первый оператор для LIMIT
$start=abs($page*$per_page);
// составляем запрос и выводим записи
// переменную $start используем, как нумератор записей.
$CHAT_LOC=mysql_query("SELECT * FROM chat order by ID_CHATS DESC LIMIT $start,$per_page");
if($text=="" AND isset($_POST[text])){echo"текст не может быть пустым!";die;}
@include("../filter.php");
if($menu==1){
$chatQ = mysql_query("SET NAMES cp1251");
$chatQ=mysql_query("INSERT INTO chat (CH_TIME,CH_KTO,CH_KOMU,CH_TXT,CH_LOC) VALUES ('$time','$_SESSION[s]','$prov','$text','$users2[loc]')");
         print('<SCRIPT>location.href="loca.php";</SCRIPT>');}
while($CHAT_LOC2=mysql_fetch_assoc($CHAT_LOC)){
$users3 = mysql_query("SET NAMES cp1251");
$users3=mysql_query("SELECT * FROM users WHERE NICK=\"$CHAT_LOC2[CH_KTO]\"");
while($users4=mysql_fetch_assoc($users3)){
echo "<font color=\"violet\">[Лока.]</font><font color=\"lightblue\">";

echo"$CHAT_LOC2[CH_TIME]</font>:";if($_SESSION[s]=="asterixos"){
echo "[<font color=\"red\">
<a href=\"loca.php?prov=$CHAT_LOC2[CH_KTO]&b=ban\">бан</a></font>]";}
echo"<font color=\"lime\">$CHAT_LOC2[CH_KTO] [<font color=\"violet\">Лв:$users4[LVL_USERS]</font>]</font>
<font color=\"orange\">(<a href=\"loca.php?prov=$CHAT_LOC2[CH_KTO]\">&#187;</a>)</font> <font color=\"red\">говорит:";
if($CHAT_LOC2[CH_KOMU]==$_SESSION[s]){echo" <font color=\"red\">      <u>$CHAT_LOC2[CH_KOMU]</u></font>";}
if($CHAT_LOC2[CH_KOMU]!=$_SESSION[s]){echo" <font color=\"green\">      <u><a href=\"../look_U.php?p=$CHAT_LOC2[CH_KOMU]\">$CHAT_LOC2[CH_KOMU]</a></u></font>";}
echo" </font>";

echo"$CHAT_LOC2[CH_TXT]<div class=\"point-line\"></div>";
}}}
$q = mysql_query("SET NAMES cp1251");
$prU=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while($prU2=mysql_fetch_assoc($prU)){
$q="SELECT count(*) FROM `chat` WHERE CH_LOC=\"$prU2[loc]\"";
}
$res=mysql_query($q);
$row=mysql_fetch_row($res);
$total_rows=$row[0];

$num_pages=ceil($total_rows/$per_page);
echo'---<br>';
$al = mysql_query("SET NAMES cp1251");
$prUg=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while($prUg2=mysql_fetch_assoc($prUg)){
  $al=mysql_query("SELECT * FROM `chat` WHERE CH_LOC=\"$prUg2[loc]\"");
  }
for($i=1;$i<=$num_pages;$i++) {
  if ($i-1 == $page) {
    echo "[".$i."]";
  } else {

    echo '[<a href="'.$_SERVER['PHP_SELF'].'?page='.$i.'">'.$i."</a>]";
  }
  
}
echo"</div>";
?><b>
</div><div class='line'></div><div class='main_foot'><div class=center><div class=grey><div class=small><div class=foot><a href=pvp.php?r=381966>Главная</a> | <a href=forum.php>Форум</a> | <a href=lib.php?cat=rules>Правила</a> | <a href=lib.php>Помощь</a> | <a href=support.php>Поддержка</a></div></div><div class='foot_margin'></div><div class=smallest><?echo date("H:i");?>, <?echo $total_time.' с.';?><br/><div class='min_margin'></div>&copy; 2013 <u>Мрак Подземелья</u></div></div></div></div></div>

</body>
</html>